#include "CS_Door_King.h"

CS_Door_King::CS_Door_King()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_door_king";
	drawBeforeOtherEntity = true;
	cbRect.left = 6;
	cbRect.right = 24;
}

void CS_Door_King::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.png = L"CS_CaveStoryMod";
	else
		ani.png = L"";
}

std::shared_ptr<Entity> CreateCS_Door_King()
{
	return std::make_shared<CS_Door_King>();
}
